Skip to content

List ticket messages

GET
/messages
curl --request GET \
--url 'https://api.muninx.com/messages?ticket-id=example&limit=25' \
--header 'Authorization: Bearer <token>'

Returns messages for a ticket using cursor-based pagination. Customer users do not receive internal messages.

ticket-id
required
string

Ticket identifier whose messages will be returned.

limit
integer
default: 25 >= 1 <= 100

Maximum number of messages to return.

pageToken
string

Cursor returned by the previous messages page.

Messages page

Media type application/json
object
items
required
Array<object>
object
author
required

Author email, or organization display name when organization reply identity is enabled.

string
author-role
required
string
Allowed values: admin agent customer organization service
posted-at
required
string format: date-time
type
required
string
Allowed values: external internal
body
required
string
nextPageToken

Cursor for the next page of messages.

string
limit
required

Page size applied to this response.

integer
Example
{
"items": [
{
"author-role": "admin",
"type": "external"
}
]
}

Invalid request.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}

Missing, invalid, or expired bearer token.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}

The requested resource does not exist or is not accessible.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}

Unexpected server error.

Media type application/json

Error envelope emitted by the shared Gin error middleware.

object
code
string
message
string
error
string
key
additional properties
any
Example generated
{
"code": "example",
"message": "example",
"error": "example"
}